# Class PlotEvent

java.lang.Object
uk.ac.starlink.ttools.plot.PlotEvent

Direct Known Subclasses:
  `DensityPlotEvent, ScatterPlotEvent`

public class PlotEvent extends Object
Event sent to a `PlotListener` when a plot has been completed. This describes the state which led to the plot and any useful values calculated as the plot was performed which would be difficult or inefficient to determine without doing a plot. Specialised subclasses may be defined to encapsulate additional such values.

Since:
  3 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PlotEvent(Component source, PlotState plotState, int nPotential, int nIncluded, int nVisible)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIncludedPointCount()`
Returns the number of points included in subsets which were selected for plotting.
`PlotState`
`getPlotState()`
Returns the plot state defining the characteristics of the plot.
`int`
`getPotentialPointCount()`
Returns the number of points in the point set which were available for plotting.
`Component`
`getSource()`
Returns the component in which the plot was done.
`int`
`getVisiblePointCount()`
Returns the number of points which were actually plotted.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotEvent

public PlotEvent(Component source, PlotState plotState, int nPotential, int nIncluded, int nVisible)
Constructor.

Parameters:
  `source` - source of this event
  `plotState` - plot state reflected by this change event
  `nPotential` - total number of points available
  `nIncluded` - number of points included in marked subsets
  `nVisible` - number of points actually plotted (may be less than nIncluded if some are out of bounds)

## Method Details

### getSource

public Component getSource()
Returns the component in which the plot was done.

Returns:
  event source

### getPlotState

public PlotState getPlotState()
Returns the plot state defining the characteristics of the plot.

Returns:
  plot state

### getPotentialPointCount

public int getPotentialPointCount()
Returns the number of points in the point set which were available for plotting.

Returns:
  maximum potential point count

### getIncludedPointCount

public int getIncludedPointCount()
Returns the number of points included in subsets which were selected for plotting.

Returns:
  number of non-excluded points

### getVisiblePointCount

public int getVisiblePointCount()
Returns the number of points which were actually plotted. This may be fewer than the the value given by `getIncludedPointCount()` if some have blank values or fall outside the bounds of the chosen plotting surface.

Returns:
  number of points plotted